Bug 604695 - Review Request: generatorrunner - Plugin-based application to run apiextractor-based generators
Review Request: generatorrunner - Plugin-based application to run apiextracto...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Magnus Tuominen
Fedora Extras Quality Assurance
:
Depends On: 577152
Blocks: 609738
  Show dependency treegraph
 
Reported: 2010-06-16 10:07 EDT by Kalev Lember
Modified: 2014-11-20 08:56 EST (History)
6 users (show)

See Also:
Fixed In Version: generatorrunner-0.5.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 13:16:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
magnus.tuominen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2010-06-16 10:07:54 EDT
Spec URL: http://kalev.fedorapeople.org/generatorrunner.spec
SRPM URL: http://kalev.fedorapeople.org/generatorrunner-0.5.0-1.fc14.src.rpm
Description:
The Binding Generator is a utility that parses the headers for a given C/C++
library, generates a model and modifies it based on XML files (called
typesystem files) containing complementary semantic information, modifications,
renamings, etc, in order to generate binding source code (or documentation) for
the target language for which it was written.
Comment 1 Chen Lei 2010-06-20 07:54:33 EDT
I think Group:      Development/Tools will be appopriate than Development/Libraries for generatorrrunner
Comment 2 Kalev Lember 2010-06-21 02:02:06 EDT
* Mon Jun 21 2010 Kalev Lember <kalev@smartlink.ee> - 0.5.0-2
- Build html documentation and ship it in -devel subpackage
- Use Development/Tools for main package

Spec URL: http://kalev.fedorapeople.org/generatorrunner.spec
SRPM URL: http://kalev.fedorapeople.org/generatorrunner-0.5.0-2.fc14.src.rpm
Comment 3 Magnus Tuominen 2010-06-29 12:39:53 EDT
allright, you asked for it:

My review:

####

+ MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint -iv ../RPMS/x86_64/generatorrunner-*
generatorrunner.x86_64: I: checking
generatorrunner.x86_64: W: spelling-error Summary(en_US) Plugin -> Plug in, Plug-in, Plugging
The value of this tag appears to be misspelled. Please double-check.

generatorrunner.x86_64: W: spelling-error Summary(en_US) apiextractor -> extractor, fluidextract, extraction
The value of this tag appears to be misspelled. Please double-check.

generatorrunner.x86_64: W: spelling-error %description -l en_US renamings -> renaming, re namings, re-namings
The value of this tag appears to be misspelled. Please double-check.

generatorrunner.x86_64: I: checking-url http://www.pyside.org (timeout 10 seconds)
generatorrunner-debuginfo.x86_64: I: checking
generatorrunner-debuginfo.x86_64: I: checking-url http://www.pyside.org (timeout 10 seconds)
generatorrunner-devel.x86_64: I: checking
generatorrunner-devel.x86_64: I: checking-url http://www.pyside.org (timeout 10 seconds)
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

nothing to worry about


+ MUST: The package must be named according to the Package Naming Guidelines.
+ MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
+ MUST: The package must meet the Packaging Guidelines.
+ MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
+ MUST: The License field in the package spec file must match the actual license.
+ MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
+ MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
matches
upstream: 7d1745521831c6d2a71f7b45d744246d
rpm: 7d1745521831c6d2a71f7b45d744246d


+ MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
tested .fc13.x86_64
+ MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
+ MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
+ MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
+ MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
+ MUST: Packages must NOT bundle copies of system libraries.
+ MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
please add 
%dir %{_includedir}/generatorrunner/
%dir %{_libdir}/generatorrunner/
%dir %{_libdir}/cmake/GeneratorRunner-%{version}/


+ MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
+ MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
+ MUST: Each package must consistently use macros.
+ MUST: The package must contain code, or permissable content.
+ MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
+ MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
+ MUST: Header files must be in a -devel package.
+ MUST: Static libraries must be in a -static package.
+ MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
+ MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
+ MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
+ MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
+ MUST: All filenames in rpm packages must be valid UTF-8.



SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

+ SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
+ SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
+ SHOULD: The reviewer should test that the package builds in mock.
builds, tested rawhide-x86_64
builds with rpmbuild on fc13,x86_64 after manually installing apiextractor-devel from updates-testing.

* SHOULD: The package should compile and build into binary rpms on all supported architectures.
* SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
+ SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
+ SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
+ SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
+ SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
+ SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

##EOF
Comment 4 Kalev Lember 2010-06-29 12:50:20 EDT
(In reply to comment #3)
> - MUST: A package must own all directories that it creates. If it does not
> create a directory that it uses, then it should require a package which does
> create that directory.
> please add 
> %dir %{_includedir}/generatorrunner/
> %dir %{_libdir}/generatorrunner/
> %dir %{_libdir}/cmake/GeneratorRunner-%{version}/

There are two ways at add directories to rpm:
a)
%{_includedir}/generatorrunner/

b)
%dir %{_includedir}/generatorrunner
%{_includedir}/generatorrunner/*

I have done variant a) here, and adding additional %dir is not needed. You can verify that all three directories are present in the final rpm by running rpm -qlp /home/kalev/rpmbuild/RPMS/i686/generatorrunner-devel-0.5.0-2.fc14.i686.rpm
Comment 5 Magnus Tuominen 2010-06-29 12:56:25 EDT
Looks like you're right,
Approved! :-)
Comment 6 Kalev Lember 2010-06-29 13:01:14 EDT
Thanks for the review, Magnus!

New Package CVS Request
=======================
Package Name: generatorrunner
Short Description: Plugin-based application to run apiextractor-based generators
Owners: kalev rdieter kkofler than ltinkl
Branches: F-13
InitialCC:
Comment 7 Kevin Fenzi 2010-06-29 21:01:42 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-06-30 05:53:29 EDT
generatorrunner-0.5.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/generatorrunner-0.5.0-2.fc13
Comment 9 Fedora Update System 2010-06-30 11:16:10 EDT
generatorrunner-0.5.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update generatorrunner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/generatorrunner-0.5.0-2.fc13
Comment 10 Fedora Update System 2010-07-06 13:16:05 EDT
generatorrunner-0.5.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Ngo Than 2013-06-25 05:01:31 EDT
Package Change Request
======================
Package Name: generatorrunner
New Branches: el6
Owners: than
Comment 12 Gwyn Ciesla 2013-06-25 07:13:13 EDT
Git done (by process-git-requests).
Comment 13 Jiri Kastner 2014-11-20 08:56:19 EST
Package Change Request
======================
Package Name: generatorrunner
New Branches: epel7
Owners: than jreznik ltinkl kkofler geertj rdieter

Note You need to log in before you can comment on or make changes to this bug.